package ink.wgink.login.app.pojo.vos.appsign;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LoginVO
 * @Description: 登录
 * @Author: WangGeng
 * @Date: 2019-08-01 14:33
 * @Version: 1.0
 **/
@ApiModel
public class AppLoginPhoneVO extends AppLoginVO {

    @ApiModelProperty(name = "verificationCode", value = "验证码")
    @CheckEmptyAnnotation(name = "验证码")
    private String verificationCode;

    public String getVerificationCode() {
        return verificationCode == null ? "" : verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"verificationCode\":\"")
                .append(verificationCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
